package com.loafle.overflow.module.member.service;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.member.model.Member;
import com.loafle.overflow.module.meta.model.MetaMemberStatus;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;
import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */

@RunWith(SpringJUnit4ClassRunner.class)
@ActiveProfiles("test")
@ContextConfiguration(classes = {AppConfigTest.class})
public class MemberServiceTest {
    @Autowired
    MemberService memberService;


    @Test
    public void regist() throws Exception {
        Member m = new Member();
        m.setPw("!@#$qwer1234");
        m.setStatus(new MetaMemberStatus((short)1));
        m.setCreateDate(new Date());
        m.setCompanyName("Loafle");
        m.setEmail("geekhot@hotmail.co.kr");
        m.setName("administrator");
        m.setPhone("00000000");

        Member res = this.memberService.signup(m,"!@#$qwer1234");
        Assert.assertNotNull(res);
    }

    @Test
    public void signin() throws Exception {
        Member m = this.memberService.signin("overflow@loafle.com", "!@#$qwer1234");
        Assert.assertNotNull(m);
    }

    @Test
    public void readAllMemberByProbeKey() {

        List<Member> members = this.memberService.readAllByProbeKey("95d8bcdc739741dca74c4a0e489e0774");

        Assert.assertNotEquals(members.size(), 0);

    }

    @Test
    public void readAllMemberByApiKey() {

        List<Member> members = this.memberService.readAllByApiKey("52abd6fd57e511e7ac52080027658d13");

        Assert.assertNotEquals(members.size(), 0);
    }

    @Test
    public void readAllMemberByDomain() {

        Domain domain = new Domain();

        domain.setId(1);

        List<Member> members = this.memberService.readAllByDomain(domain);

        Assert.assertNotEquals(members.size(), 0);

    }


}
